<template>
    <div class="">
            <page-header :title="titlePage">

              <div slot="nav">
                <div class=" drowpdown mr-3">
                    <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-plus-circle mr-3"></i>Exporter vers
                    </button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                          <a :href="excelUrl"  class=" dropdown-item btn btn-sm btn-white m-b-10"><i class="fa fa-file-excel t-plus-1 text-success fa-fw fa-lg "></i> EXCEL</a>
                    </div>
                </div>
              </div>
            </page-header>


      <div class="row">
        <div class="col-md-12">
            <div style="height: 2em"></div>
              <div v-if="loaded" class="card">
                  <div class="card-header">
                      <h5>Détails</h5>
                      <div class="">
                              <div class="row">
                                  <div class="col-md-12">
                                      <table class="table table-bordered table-striped">
                                          <thead>
                                              <tr class="table">
                                                  <th>Date de début</th>
                                                  <th>Date de fin</th>
                                                  <th>Budget</th>
                                                  <th>statut</th>
                                              </tr>
                                          </thead>
                                          <tbody>
                                              <tr>
                                                  <td>{{ this.format_date(projet.date_debut_prev) }}</td>
                                                  <td>{{ this.format_date(projet.date_fin_prev) }}</td>
                                                  <td>{{ projet.budget+' F CFA' }}</td>
                                                  <td v-if="projet.statut =='ouvert'">{{ projet.statut }} <span class="badge badge-pill badge-success"><i class="fa fa-unlock"></i></span></td>
                                                  <td v-if="projet.statut =='fermé'">{{ projet.statut }} <span class="badge badge-pill badge-warning"><i class="fa fa-lock"></i></span></td>
                                              </tr>
                                          </tbody>
                                      </table>
                                  </div>
                              </div>
                              <div class="row">
                                  <div class="col-md-4">
                                      <div class="card">
                                          <div class="card-body">
                                              <h3 class="card-text">{{ projet.creatable? projet.creatable.fullName:'Non précisé' }}</h3>
                                          </div>
                                          <div class="card-footer">
                                              <button class="btn btn-link btn-sm">Responsable</button>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="col-md-4">
                                      <div class="card">
                                          <div class="card-body">
                                              <h3 class="card-text">{{ projet.entreprise? projet.entreprise.nom_commercial:'Non précisé' }}</h3>
                                          </div>
                                          <div class="card-footer">
                                              <button class="btn btn-link btn-sm">Entreprise</button>
                                          </div>
                                      </div>
                                  </div>
                                  <div class="col-md-4">
                                      <div class="card">
                                          <div class="card-body">
                                              <h3 class="card-text">{{ projet.entreprise? projet.entreprise.secteur_activite_principal:"Non précisé" }}</h3>
                                          </div>
                                          <div class="card-footer">
                                              <button class="btn btn-link btn-sm">Secteur d'activité</button>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                              <div class="spacer"></div>
                              <div class="row">
                                  <div class="col-md-12">
                                      <label>Evolution du projet :</label>
                                      <div class="progress">
                                          <div class="progress-bar bg-success" role="progressbar" :style="'width:'+projet.avancement+'%'" :aria-valuenow="projet.avancement" aria-valuemin="0" aria-valuemax="100">{{ projet.avancement+' %' }}</div>
                                      </div>
                                  </div>
                              </div><div class="row">
                                <div class="col-md-12 mt-4">
                                      <label>Description du projet :</label>
                                  <div class="scroll">{{ projet.description?projet.description:"non précisé" }}</div>
                                </div>
                              </div>
                              <div class="spacer"></div>

                          </div>
                  </div>
              </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <div style="height: 2em"></div>
            <div class="card">
                <div class="card-header">
                    <ul class="nav nav-tabs" id="custom-content-below-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="custom-content-below-home-tab" data-toggle="pill" href="#custom-content-below-home" role="tab" aria-controls="custom-content-below-home" aria-selected="true">Tâches</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="custom-content-below-profile-tab" data-toggle="pill" href="#custom-content-below-profile" role="tab" aria-controls="custom-content-below-profile" aria-selected="false">Commentaires</a>
              </li>
            </ul>
                </div>

                <div class="card-body">
                    <div class="tab-content" id="myTabContent">
                        <div  class="tab-pane fade show active" id="custom-content-below-home" role="tabpanel" aria-labelledby="custom-content-below-home-tab">
                            <div :class="['card bg-transparent']" >
                              <div :class="['card-header pl-0']">
                                    <h3 class="card-title mb-0">
                                        <button @click="showModalOnCreate"  class="ml-4 btn btn-xs btn-secondary text-xs">
                                          <i class="fas fa-plus-circle right"></i> Nouvelle tâche
                                        </button>
                                    </h3>
                              </div>

                              <!-- /.card-header -->
                              <div class="card-body table-responsive  p-0 position-relative " v-show="hasData" >
                                    <vuetable
                                    v-if="loaded"
                                    :css="table" ref="vuetable"
                                    :api-mode=false
                                    :data="projet.tasks"
                                    :fields="columns"
                                          pagination-path=""
                                          :per-page="15"
                                          @vuetable:loading="onLoading"
                                          @vuetable:loaded="onLoadingDone"
                                          :append-params="moreParams"
                                          @vuetable:pagination-data="onPaginationData">
                                            <template slot="actions" slot-scope="props">
                                            <div class="custom-actions">
                                                <button v-if="user.id === projet.tasks.creatable_id ||  user.type==='admin' || user.id === projet.responsable_id" class="btn btn-xs btn-secondary"
                                                @click="showModalOnEdit(props.rowData)">
                                                <i class="fas fa-edit"></i>
                                                </button>
                                                <button v-if="user.id === projet.tasks.creatable_id ||  user.type==='admin' || user.id === projet.responsable_id" class="btn btn-xs btn-danger"
                                                @click="deleteTask(props.rowData.id)">
                                                <i class="fas fa-trash"></i>
                                                </button>
                                            </div>
                                            </template>
                                    </vuetable>
                              </div>

                              <pa ref="pagination" :is-loading="isLoading"  :pager="[15,25,50,100]" @vuetable-pagination:change-page="onChangePage" v-show="!NoDataForSearch && !NoDataAtAll"   ></pa>
                              <!-- /.card-body -->
                            </div>
                            <no-data-in-search v-show="pageInit" :search="searchTxt" :show="NoDataForSearch" :data-empty="NoDataAtAll"></no-data-in-search>

                        </div>
                        <div class="tab-pane fade" id="custom-content-below-profile" role="tabpanel" aria-labelledby="custom-content-below-profile-tab">


                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="panel panel-primary">
                                                <div class="panel-body">
                                                    <ul class="chat">
                                                        <li v-for="comment in projet.comments" :key="comment.id" class="left clearfix">
                                                            <span class="chat-img pull-left">
                                                                <i class="fa fa-user"></i>
                                                            </span>
                                                                <div class="chat-body clearfix">
                                                                    <div class="header">
                                                                        <div class="row">
                                                                                <div class="col-md-11">
                                                                                    <h5 class="primary-font">{{ comment.user?comment.user.fullName:'Non precisé'}}</h5>
                                                                                </div>
                                                                                <div class="col-md-1">
                                                                                    <span class="glyphicon glyphicon-time">{{ dateFormat(comment.created_at) }} </span>&nbsp;
                                                                                    <button v-if="user.id === projet.comments.membre_id ||  user.type==='admin' || user.id === responsable_id" class="btn btn-xs btn-danger"
                                                                                    @click="removeComment(comment.id)">
                                                                                    <i class="fas fa-trash"></i>
                                                                                    </button>
                                                                                </div>
                                                                        </div><hr/>

                                                                    </div>
                                                                    <p v-if="comment.content">
                                                                        {{ comment.content }}
                                                                    </p>
                                                                </div>
                                                        </li>
                                                    </ul>
                                                </div>
                                                <div class="panel-footer">
                                                    <form class="" method="POST"  @submit.prevent="commentProjet()"
                                                        @reset.prevent="reset()"
                                                        @keydown="form.errors.clear($event.target.name)"
                                                        @change="form.errors.clear($event.target.name)">
                                                        <div class="input-group">
                                                            <input id="btn-input" v-model="commentprojet.content" type="text" class="form-control input-sm" placeholder="ecrivez votre commentaire ici" />
                                                            <span class="m-form__help m--font-danger  commentprojet.errors.has('description')? ' is-invalid' : '']"  v-if="commentprojet.errors.has('content')" v-text="commentprojet.errors.get('content')"></span>
                                                            <span class="input-group-btn">
                                                                <!-- <button class="btn btn-warning btn-sm"  ">commenter</button> -->
                                                                    <button type="submit" id='btn-chat' :class="['btn btn-warning btn-sm btn-small mr-2',isLoading ? 'm-loader m-loader--sm m-loader--light m-loader--right' :'']" :disabled="commentprojet.errors.any() || isLoading">{{ isLoading ? "Processus en cours..." : "Commenter" }}</button>
                                                            </span>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

        <b-modal @hidden="reset"  ref="inputModal" id="my-modal" :title="ModalTitle"  :hide-footer="true">
                <form class="" method="POST"  @submit.prevent="onSubmit()"
                               @reset.prevent="reset()"
                               @keydown="form.errors.clear($event.target.name)"
                               @change="form.errors.clear($event.target.name)">
                        <div class="form-group ">
                            <label class="">Nom</label>
                            <input class="form-control form-control-sm " name="projet_id" v-model="form.projet_id" hidden type="text"/>
                            <input class="form-control form-control-sm " name="name" v-model="form.name" type="text"/>
                            <span class="m-form__help m--font-danger"  v-if="form.errors.has('name')" v-text="form.errors.get('name')"></span>
                        </div>
                        <div class="row">
                          <div class="form-group col-md-6">
                              <label class="">Date de debut <span class="star_label">*</span></label>
                              <input placeholder=""  class="form-control form-control-sm form-custom-input-sm" name="date_debut_prev" v-model="form.date_debut_prev" type="date" />
                              <span class="m-form__help m--font-danger"  v-if="form.errors.has('date_debut_prev')" v-text="form.errors.get('date_debut_prev')"></span>
                          </div>
                          <div class="form-group col-md-6">
                              <label class="">Date de fin <span class="star_label">*</span></label>
                              <input placeholder=""  class="form-control form-control-sm form-custom-input-sm" name="date_fin_prev" v-model="form.date_fin_prev" type="date"/>
                              <span class="m-form__help m--font-danger"  v-if="form.errors.has('date_fin_prev')" v-text="form.errors.get('date_fin_prev')"></span>
                          </div>
                        </div>
                         <div class="form-group">
                            <label class=""> Avancement </label>

                            <div class="row">
                                <div class="col-md-10">
                                    <input :class="['form-control form-control-sm', form.errors.has('avancement') ? 'is-invalid' : '']" name="avancement" v-model="form.avancement" type="range" min="0" max="100" step="10"/>
                                </div>
                                <div class="col-md-2">
                                    <h5 v-text="form.avancement+' %'"></h5>
                                </div>
                            </div>
                        <span class="m-form__help m-font-danger" v-if="form.errors.has('avancement')" v-text="form.errors.get('avancement')"> </span>
                        </div>

                        <div class="form-group ">
                             <label class="">Description</label>
                             <textarea :class="['form-control form-control-sm', form.errors.has('description')? ' is-invalid' : '']" name="description" v-model="form.description" type="text" />
                             <span class="m-form__help m--font-danger" v-if="form.errors.has('description')" v-text="form.errors.get('description')"></span>
                         </div>

                      <div class="m-form__actions m-form__actions--solid" style="display: flex;align-items: center;justify-content: flex-end;">
							<button type="submit" :class="['btn btn-success btn-small mr-2',isLoading ? 'm-loader m-loader--sm m-loader--light m-loader--right' :'']" :disabled="form.errors.any() || isLoading">{{ isLoading ? "Processus en cours..." : ModalAction }}</button>
						</div><br/>
               </form>
        </b-modal>
    </div>
</template>
<script>

   import  Vuetable from "vuetable-2/src/components/Vuetable";
   import pa from './../../components/pagination/Pagination'
   import Form from "./../../classes/Form"
   import Master from "./../Master.vue";
//    import ProjetItem from './ProjetItem'
   import { mapGetters } from 'vuex'


    export default {
        mixins: [Master],
        // props: {
        //     entity: {
        //         type: Object,
        //         required: true
        //     },
        // },
        data(){
            return{
                user:window.App.user,
                modeEdit:false,
                ftime:true,
                roles : [],
                role:'',
                commentprojet : new Form({
                    content:"",
                    projet_id: this.$route.params.id,
                }),
                form : new Form({
                  name:"",
                  date_debut_prev:"",
                  date_fin_prev:'',
                  id:'',
                  avancement: '0',
                  description: '',
                  projet_id: this.$route.params.id,
                  responsable_id: ''
                }),
                moreParams:{
                  filter:"",
                  filter_role:''
                },
                isLoading:false,

                columns : [
                {
                    name: 'id',
                    title: "Identifiant"
                },
                {
                    name: 'name',
                    title: "Nom"
                },
                {
                    name: 'date_debut_prev',
                    title: "Date debut"
                },
                {
                    name: 'date_fin_prev',
                    title: "Date de fin"
                },
                {
                    name: 'avancement',
                    title: "avancement (%)",
                },
                {
                    name: 'statut',
                    title: "Statut",
                },
                {
                    name: 'created_at',
                    title: "Date d'enregistrement",
                },
                {
                name: '__slot:actions',   // <----
                title: 'Actions',
                titleClass: 'center aligned',
                dataClass: 'center aligned'
                }
              ],

                  table: {
                    tableWrapper: '',
                    tableHeaderClass: 'mb-0',
                    tableBodyClass: 'mb-0',
                    tableClass: 'table table-striped table-hover',
                    ascendingIcon: 'fa fa-chevron-up',
                    descendingIcon: 'fa fa-chevron-down',
                    ascendingClass: 'sorted-asc',
                    descendingClass: 'sorted-desc',
                    sortableIcon: 'fa fa-sort',
                    detailRowClass: 'vuetable-detail-row',
                    handleIcon: 'fa fa-bars text-secondary',
                    renderIcon(classes, options) {
                      return `<i class="${classes.join(' ')}"></span>`
                    }
                  }
            }
        },
        created()
        {
            window.event.$emit("isLoading",true)
            this.$store.dispatch('projets/init')
            this.$store.dispatch('projets/getProjet', this.$route.params.id)
        },
        mounted() {
                this.$events.$on('filter-set', eventData => this.onFilterSet(eventData))
                this.$events.$on('filter-reset', e => this.onFilterReset())
        },
        watch:{
            loaded(e){
                    if(e)
                    this.pageInit = true

            }
        },
        computed:
        {
           ...mapGetters({ _pays:"params/_pays",_entreprises:"params/_entreprises",_secteurs:'params/_secteurs',_promotions:"params/_promotions",_formes_juridiques:'params/_formes_juridiques'
                           ,moreExists:'projets/moreExists',next_page_url:"projets/next_page_url",total:"projets/total"
                           ,current_page:"projets/current_page",projet:"projets/projet",loading:"projets/loading",loaded:"projets/loaded"}),

            excelUrl()
           {
             return '/tasks/export?format=excel&filter='+this.moreParams.filter+'&filter_role='+this.moreParams.filter_role
           },
            ModalTitle ()
            {
              return  this.modeEdit ? " Modification d'une tâche"  : " Ajout d'une tâche"
            },
            ModalAction ()
            {
              return  this.modeEdit ? " Modifier"  : " Ajouter"
            },
            shouldGoToFirstPage()
            {
              if(this.$refs.vuetable)
              {
                return (this.$refs.vuetable.tableData.length) - 1 == 0
              }
              else
              {
                return false
              }
            },
            filterBarIsFilled()
            {
                if(this.moreParams.hasOwnProperty('filter'))
                  return this.moreParams.filter != "" ? true : false
                else
                 return false
            },
            searchTxt()
            {
                if(this.moreParams.hasOwnProperty('filter'))
                  return this.moreParams.filter
                else
                 return ""
            },
            NoDataForSearch()
            {

              return (this.hasData == false && this.filterBarIsFilled == true ) ? true : false

            },

            NoDataAtAll()
            {

              return (this.hasData == false && this.filterBarIsFilled == false ) ? true : false

            },

            hasData(){
              if(this.loaded){
                return this.projet.tasks.length > 0
              }else{
                return false
              }
            },

            titlePage(){
              if(this.loaded){
                return 'Projet :'+this.projet.titre
              }else{
                return 'Détail du projet'
              }
            }
        },
        methods:
        {
            commentProjet(){

                this.commentprojet.projet_id = this.$route.params.id
                this.isLoading = true

                this.$store.dispatch("projets/addComment",this.commentprojet).then((response) =>
                {
                    flash("<span>Enregistré <strong>avec succès</strong></span>",'success')
                    this.commentprojet.content = ""
                    this.isLoading = false
                },
                (error) =>
                     {
                      this.isLoading = false
                      this.commentprojet.onFail(error.response.data)
                     });
            },
             removeComment(e)
            {
                  //On demande la confirmation de la suppression
                    alertConfirm("Voulez-vous supprimer ce commentaire ?","Suppréssion d'un commentaire")
                    .then(result => {
                        //On réinitialise le chargement
                        this.isLoading = true
                        if(result)
                        {

                               this.$store.dispatch('projets/removeComment',e).then((response) =>
                                {
                                        this.isLoading = false
                                        flash("<span>Supprimé <strong>avec succès</strong></span>",'success')
                                },
                                (error) =>
                                {
                                    this.isLoading = false
                                    flash("<span>Vous n\'etes pas autorisez a effectuer cette action</span>",'error')

                                })
                        }
                    })
                    .catch(error => {
                        reject(error);
                    });
            },
            limitText (count) {
              return `et ${count} en plus`
            },

            format_date(value){
                if (value) {
                return moment(String(value)).format('DD/MM/YYYY');
                }
            },

            formatDate: function(value, fmt)
            {
               return  toDateFormat(value, fmt)
            },
            //Recupere le libellé d'un role
            getRole(value)
            {
               var elem = this.$refs.vuetable.tableData.find( e => e.role_id == value);
               if(elem.role!=null)
                 return elem.role.libelle
               else
                 return "-"
            },
            onPaginationData (paginationData)
            {
              // var tasks = paginationData.entity
              if(this.pageInit==false)
              {
                 this.roles = paginationData.roles
                 this.pageInit =true
              }
              else
              {

              }
              // this.hasData = entity.data.length > 0
              // this.$refs.vuetable.tablePagination =entity
              // this.$refs.vuetable.tableData = entity.data
              // this.$refs.pagination.setPaginationData(entity)
            },
            onChangePage (page)
            {

               this.$refs.vuetable.changePage(page)
            },
            onLoading()
            {

               this.isLoading = true
                if(this.ftime==false)
                {
                    $('table.vuetable').block({
                        message: '<div class="blockui"><span>Patientez svp</span><span><div class="kt-spinner kt-spinner--v2 kt-spinner--danger "></div></span></div>',
                        css: { border: 'none' },

                            // styles for the overlay
                            overlayCSS:  {
                                backgroundColor: '#000',
                                opacity:         0.06,
                                cursor:          'wait'
                            },
                    });

                }
                this.ftime = false
            },
            onLoadingDone()
            {
               this.isLoading = false
                if(this.ftime==false)
                {
                    $('table.vuetable').unblock()
                }
            },
            filterRoleEvent(e)
            {
                 this.moreParams.filter_role= e.target.value
                 Vue.nextTick( () => this.$refs.vuetable.refresh())
            },
            onFilterSet (filterText) {
                this.moreParams.filter = filterText
                Vue.nextTick( () => this.$refs.vuetable.refresh())
            },
            onFilterReset () {
                this.moreParams.filter = ""
                Vue.nextTick( () => this.$refs.vuetable.refresh())
            },
            //formater la date
            dateFormat : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            },
            //Retire un role de la BDD
             remove(e)
             {
                  //On demande la confirmation de la suppression
                    alertConfirm("Voulez-vous supprimer cette tâche ?","Suppréssion d'une tâche")
                    .then(result => {
                        //On réinitialise le chargement
                        this.isLoading = true
                        if(result)
                        {
                           this.$store.dispatch('projets/removeTask',e).then((response) =>
                            {
                             // on rafraichit la page de donnée actuelle
                              !this.shouldGoToFirstPage ? this.$refs.vuetable.reload() : this.$refs.vuetable.refresh()
                              //on notifie l'effectivité de la suppréssion
                              flash(response.data.message)
                              //On réinitialise le chargement
                              this.isLoading = false


                            },
                            (error) =>
                            {
                              this.isLoading = false
                            flash("<span>Vous n\'etes pas autorisez a effectuer cette action</span>",'error')
                            });
                        }
                    })
                    .catch(error => {
                        reject(error);
                    });
             },
             //Gere l'action du formulaire
             onSubmit()
             {
                this.form.projet_id = this.$route.params.id
                this.isLoading = true

                this.$store.dispatch(this.modeEdit ? "projets/updateTask":"projets/addTask",this.form).then((response) =>
                {
                    // console.log(Response)
                    flash(!this.modeEdit ?"<span>Enregistré <strong>avec succès</strong></span>" : "<span>Modifié <strong>avec succès</strong></span>",'success')
                    this.isLoading = false
                    this.$refs['inputModal'].hide()
                },
                (error) =>
                     {
                      this.isLoading = false
                      this.form.onFail(error.response.data)
                    });
             },
            //Ajoute un role dans la BDD
            add()
            {
                //Requête ajax
                this.form.post("api/tasks").then((value) =>
                {
                  this.reset()
                  // on ramène les données sur la page 1
                  this.$refs.vuetable.refresh()
                  flash("<span>Enregistré <strong>avec succès</strong></span>")

                },
                (error) =>
                {
                  this.isLoading = false
                });
            },
            //Actualise  un role dans la BDD
            update()
            {

                //Requête ajax
                this.form.patch("api/tasks/"+this.form.id).then((value) =>
                {

                   // on rafraichit la page des données actuelle
                  this.$refs.vuetable.reload()
                  //On remet à zero notre formulaire
                  this.reset()
                  //on affiche le message
                  flash("<span>Modifié <strong>avec succès</strong></span>")


                },
                (error) =>
                {
                  this.isLoading = false
                  //on affiche le message
                  console.log(error)
                });
            },


            deleteTask(e)
            {
                  //On demande la confirmation de la suppression
                    alertConfirm("Voulez-vous supprimer cette tâche ?","Suppréssion d'une tâche")
                    .then(result => {
                        //On réinitialise le chargement
                        this.isLoading = true
                        if(result)
                        {

                               this.$store.dispatch('projets/removeTask',e).then((response) =>
                                {
                                    (message)
                                        this.isLoading = false
                                        flash("<span>Supprimé <strong>avec succès</strong></span>",'success')
                                },
                                (error) =>
                                {
                                    this.isLoading = false
                                    flash("<span>Vous n\'etes pas autorisez a effectuer cette action</span>",'error')
                                })
                        }
                    })
                    .catch(error => {
                        reject(error);
                    });
            },
            //On affiche le modal pour la création
            showModalOnCreate()
            {

                this.modeEdit = false
                this.reset()
                this.$refs['inputModal'].show()

            },
            //On affiche le modal pour l'édition
            showModalOnEdit(entity)
            {
                this.reset()
                this.modeEdit = true
                this.form.name = entity.name
                this.form.avancement = entity.avancement
                this.form.projet_id=entity.projet_id
                this.form.id=entity.id
                this.form.description = entity.description
                 this.form.date_debut_prev = entity.date_debut_prev
                 this.form.date_fin_prev = entity.date_fin_prev
                this.$refs['inputModal'].show()
             },
              //Initialisation du formulaire
              reset()
             {

                  this.form.name = ""
                //   this.form.username = ""
                  this.form.avancement ="0"
                  this.form.date_debut_prev=""
                  this.form.date_fin_prev=""
                  this.modeEdit = false
                  this.isLoading = false
                  this.moreParams.filter=""
                  this.$refs['inputModal'].hide()
                  this.form.clearErrors()
             },
              multiSelect(e,name)
             {
                 if(e!=null)
                 {
                   this.form.role_id = e.id
                 }
                  if(this.form.errors.has(name))
                  this.form.errors.clear(name)
             },

        },
        components:
        {
        //   ProjetItem,
          Vuetable,
          pa
        }
    }
</script>
<style scoped>
.card-tools .filter
{
  flex:1
}
.card-tools .recherhce
{
  flex:1
}
.scroll {
    max-height: 100px;
    /* overflow-y: auto; */
}


/* style pour les commentaires */

.chat
{
    list-style: none;
    margin: 0;
    padding: 0;
}

.chat li
{
    margin-bottom: 10px;
    padding-bottom: 5px;
    border-bottom: 1px dotted #B3A9A9;
}

.chat li.left .chat-body
{
    margin-left: 60px;
}

.chat li.right .chat-body
{
    margin-right: 60px;
}


.chat li .chat-body p
{
    margin: 0;
    color: #777777;
}

.panel .slidedown .glyphicon, .chat .glyphicon
{
    margin-right: 5px;
}

.panel-body
{
    overflow: hidden;
        height: auto;
}

/* ::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
} */

::-webkit-scrollbar
{
    width: 12px;
    background-color: #F5F5F5;
}

/* ::-webkit-scrollbar-thumb
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
} */
</style>
